Finance::Quote::ASEGR(3pm)

NAME
Finance::Quote::ASEGR - Obtain quotes from Athens Exchange Group

SYNOPSIS
    use Finance::Quote;

    $q = Finance::Quote->new;

    %info = Finance::Quote->fetch("asegr","minoa");  # Only query ASEGR
    %info = Finance::Quote->fetch("greece","aaak");  # Failover to other sources OK.

DESCRIPTION
This module fetches information from https://www.athexgroup.gr.

This module is loaded by default on a Finance::Quote object. It's also possible to load it explicitly by placing 'asegr' in the argument list to Finance::Quote->new().

This module provides both the 'asegr' and 'greece' fetch methods.

LABELS RETURNED
The following labels may be returned:

symbol
method
instrument
name
isin
currency
last
close
high
low
open
volume
isodate
date

Terms & Conditions
Use of www.athexgroup.gr is governed by any terms & conditions of that site.

Finance::Quote is released under the GNU General Public License, version 2, which explicitly carries a "No Warranty" clause.